<?php

namespace Comitium5\DesignerBundle\Model\Interfaces;

/**
 * Interface DateTimeInterface
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Model\Interfaces
 */
interface DateTimeInterface
{
    /**
     * @param \DateTime $date
     *
     * @return DateTimeInterface
     */
    public function setCreatedAt(\DateTime $date): DateTimeInterface;

    /**
     * @return \DateTime|null
     */
    public function getCreatedAt(): ?\DateTime;

    /**
     * @param \DateTime $date
     *
     * @return DateTimeInterface
     */
    public function setUpdatedAt(\DateTime $date): DateTimeInterface;

    /**
     * @return \DateTime|null
     */
    public function getUpdatedAt(): ?\DateTime;
}
